Bug 1524701 - Unable to install due to dependency problem
Summary: Unable to install due to dependency problem
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: atomic-reactor
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tomas Tomecek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-12-11 21:22 UTC by Patrick Uiterwijk
Modified: 2018-01-02 16:46 UTC (History)
5 users (show)

Fixed In Version: atomic-reactor-1.6.25.1-4.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-01-02 16:46:35 UTC
Type: Bug


Attachments (Terms of Use)

Description Patrick Uiterwijk 2017-12-11 21:22:39 UTC
[puiterwijk@workstation puiterwijk]$ docker run --rm -it fedora:27 dnf install atomic-reactor
Fedora 27 - x86_64 - Updates                                                                                      4.1 MB/s |  12 MB     00:02    
Fedora 27 - x86_64                                                                                                5.7 MB/s |  58 MB     00:10    
Last metadata expiration check: 0:00:03 ago on Mon Dec 11 21:08:03 2017.
Error: 
 Problem: package python3-docker-squash-1.0.5-7.fc27.noarch requires python3-docker, but none of the providers can be installed
  - package python3-docker-2.6.1-1.fc27.noarch obsoletes python3-docker-py < 1:2 provided by python3-docker-py-1:1.10.6-5.fc27.noarch
  - package python3-docker-2.5.1-2.fc27.noarch obsoletes python3-docker-py < 1:2 provided by python3-docker-py-1:1.10.6-5.fc27.noarch
  - package python3-atomic-reactor-1.6.23.2-2.fc27.noarch requires python3-docker-squash >= 1.0.0-0.3, but none of the providers can be installed
  - package python3-atomic-reactor-1.6.23.2-2.fc27.noarch requires python3-docker-py, but none of the providers can be installed
  - package atomic-reactor-1.6.23.2-2.fc27.noarch requires python3-atomic-reactor = 1.6.23.2-2.fc27, but none of the providers can be installed
  - conflicting requests

Comment 1 Fedora Update System 2017-12-12 09:19:44 UTC
atomic-reactor-1.6.25.1-4.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8a03ef01ba

Comment 2 Fedora Update System 2017-12-12 15:59:43 UTC
atomic-reactor-1.6.25.1-4.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8a03ef01ba

Comment 3 Fedora Update System 2018-01-02 16:46:35 UTC
atomic-reactor-1.6.25.1-4.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.